be.ehealth.technicalconnector.exception

## Class TechnicalConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BeIDPinCodeException, CertificateVerificationException, ConnectorValidationException, EhboxCryptoException, InvalidBlobContentConnectorException, InvalidTimeStampException, NoNextEndpointException, RaException, SessionManagementException, SilentInstantiationException, SoaErrorException, UnsealConnectorException

      public class TechnicalConnectorException
      extends ConnectorException

  The Class TechnicalConnectorException..
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Object... params)` Creates a new TechnicalConnectorException.
    `TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue, Throwable e, Object... params)` Creates a new TechnicalConnectorException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TechnicalConnectorExceptionValues` | `getCategory()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TechnicalConnectorException

          public TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue,
                                             Object... params)

      Creates a new TechnicalConnectorException.
      Parameters:
        `errorCodeValue` - an entry from TechnicalConnectorExceptionValues enumeration
        `params` - the strings that complete the errorCodeValue message

    - #### TechnicalConnectorException

          public TechnicalConnectorException(TechnicalConnectorExceptionValues errorCodeValue,
                                             Throwable e,
                                             Object... params)

      Creates a new TechnicalConnectorException.
      Parameters:
        `errorCodeValue` - an entry from TechnicalConnectorExceptionValues enumeration
        `e` - the initial exception
        `params` - the strings that complete the errorCodeValue message

  - ### Method Detail

    - #### getCategory

          public TechnicalConnectorExceptionValues getCategory()

      Returns:
        the errorCodeValue

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.